Gecode::StdTracer Class Reference
Functionality by programming task » Programming models » Tracing constraint propagation

Default tracer. More...

`#include <tracer.hpp>`

## Public Member Functions

| StdTracer (std::ostream &os=std::cerr)
| Initialize with output stream os.
virtual void | propagate (const Space &home, const PropagateTraceInfo &pti)
| Propagate function.
virtual void | commit (const Space &home, const CommitTraceInfo &cti)
| Commit function.
virtual void | post (const Space &home, const PostTraceInfo &pti)
| Post function.
Public Member Functions inherited from Gecode::Tracer
| Tracer (void)
| Constructor.
virtual | ~Tracer (void)
| Destructor.

## Static Public Attributes

static StdTracer | def
| Default tracer (printing to std::cerr).

## Protected Attributes

std::ostream & | os
| Output stream to use.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.
Static Protected Attributes inherited from Gecode::TracerBase
static Support::Mutex | m
| Mutex to provide synchronization.

## Detailed Description

Default tracer.

Definition at line 210 of file tracer.hpp.

## Constructor & Destructor Documentation

## StdTracer()

Gecode::StdTracer::StdTracer | ( | std::ostream & | os = std::cerr | ) |

Initialize with output stream os.

Definition at line 41 of file tracer.cpp.

## Member Function Documentation

## propagate()

void Gecode::StdTracer::propagate | ( | const Space & | home,
|  | const PropagateTraceInfo & | pti )

virtual

Propagate function.

The propagate function is called when a propagator has been executed.

Implements Gecode::Tracer.

Definition at line 44 of file tracer.cpp.

## commit()

void Gecode::StdTracer::commit | ( | const Space & | home,
|  | const CommitTraceInfo & | cti )

virtual

Commit function.

The commit function is called when a brancher has executed a commit operation.

Implements Gecode::Tracer.

Definition at line 50 of file tracer.cpp.

## post()

void Gecode::StdTracer::post | ( | const Space & | home,
|  | const PostTraceInfo & | pti )

virtual

Post function.

The post function is called when an attempt to post a propagator has been executed.

Implements Gecode::Tracer.

Definition at line 59 of file tracer.cpp.

## Member Data Documentation

## os

std::ostream& Gecode::StdTracer::os

protected

Output stream to use.

Definition at line 213 of file tracer.hpp.

## def

StdTracer Gecode::StdTracer::def

static

Default tracer (printing to std::cerr).

Definition at line 242 of file tracer.hpp.

The documentation for this class was generated from the following files:

- gecode/kernel/trace/tracer.hpp
- gecode/kernel/trace/tracer.cpp